Simplified XF 1.1.0

Public Types | Public Member Functions | Public Attributes | List of all members
XFEventStatus Class Reference
XF Core Classes

Event status returned after event processing. More...

`#include <eventstatus.h>`

Collaboration diagram for XFEventStatus:

## Public Types
enum | eEventStatus { Unknown = 0 , Consumed = 0x0001 , NotConsumed = 0x0002 , RegionFinished = 0x0004 , Terminate = 0x0008 }

## Public Member Functions
| XFEventStatus (eEventStatus eventStatus=Unknown)
bool | operator== (const XFEventStatus::eEventStatus &eventStatus) const
void | operator|= (const XFEventStatus &eventStatus)
| OR assignment. More...
bool | is (const eEventStatus eventStatus) const
| Checks if the given event status (r-value) is present in the actual (l-value).

## Public Attributes
eEventStatus | status_
| Attribute containing the status of the event.

## Detailed Description

Event status returned after event processing.

The XFEventStatus is used after consumption of an event. It gives an information on how the event was consument and how the framework should react.

## Member Enumeration Documentation

## ◆ eEventStatus

enum XFEventStatus::eEventStatus

Status values about the event processed.

See also
  XFBehavior::process

Enumerator
Consumed | Event consumed.
NotConsumed | Event not consumed.
RegionFinished | Composite state machine finished.
Terminate | Terminate state machine.

## Constructor & Destructor Documentation

## ◆ XFEventStatus()

XFEventStatus::XFEventStatus | ( | eEventStatus | eventStatus = `Unknown` | ) |
| inline

Constructor

Parameters

  eventStatus | Initial value of the event status.

## Member Function Documentation

## ◆ operator==()

bool XFEventStatus::operator== | ( | const XFEventStatus::eEventStatus & | eventStatus | ) | const
| inline

Checks if both variables contain the same event status.

## ◆ operator|=()

void XFEventStatus::operator|= | ( | const XFEventStatus & | eventStatus | ) |
| inline

OR assignment.

OR's the right event status with the left event status.

The documentation for this class was generated from the following file:

- C:/Users/thomas.sterren/Desktop/PTR_XF_Release/03-release/work/src/simplified/xf/include/xf/eventstatus.h